<?php
require("../global_manage.php");
if($_POST){
	//获取传递来的file_id及查询条件
	$file_id = $_POST['file_id'];
	$a = "";
	$sql = "delete from tb_file";
	if(count($file_id)>1){	//当选择多个文章时
	 while(list($name,$value)=each($file_id)){			//遍历数组
	  $a.="$value".",";
	 }
		$a= substr($a,0,-1);
		//使用in关键字删除所有被选择文章
	 $sql .= " where file_id in(".$a.")";
	}
	//只删除一篇文章
	else
	$sql .= " where file_id = ".$file_id[0];
	$DB->query($sql);
	?>
	<script language="javascript">alert("文章删除成功！");</script>
	<?php
		//将原来的查询条件返回
		$url = "./file_manage.php";
		redirect_once($url);
}
?>
<meta http-equiv="Content-Type" content="text/html;charset=gb2312">
